import * as style from './text.css';

export default function Text({ text }: { text: string }) {
	const lines = text.split('\n');

	return (
		<div className={style.group}>
			<div className={style.line_numbers}>
				{lines.map((_, index) => {
					return <p key={index} className={style.text}>{index}</p>;
				})}
			</div>
			<div className={style.content}>
				{lines.map((line, index) => {
					if (line != '') {
						return <p key={index} className={style.text}>{line}</p>;
					} else {
						return <p key={index} className={style.text}>{'\n'}</p>;
					}
				})}
			</div>
		</div>
	);
}
