import { createVar, globalStyle} from '@vanilla-extract/css';

export const background  = createVar();
export const background2 = createVar();
export const foreground  = createVar();
export const foreground2 = createVar();
export const accent      = createVar();

globalStyle(':root', {
	vars: {
		[background]:  '#000000',
		[background2]: '#303030',
		[foreground]:  '#F0F0F0',
		[foreground2]: '#777777',
		[accent]:      '#B454EA',
	},
	'@media': {
		'(prefers-color-scheme: light)': {
			vars: {
				[background]:  '#FFFFFF',
				[background2]: '#DADADA',
				[foreground]:  '#171717',
				[foreground2]: '#333333',
				[accent]:      '#9834D4',
			}
		}
	}
});
